import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../repository/shop_repository.dart';

class AdRewardUseCase implements UseCase<DataState<int>, String> {
  final ShopRepository repository;
  AdRewardUseCase(this.repository);

  @override
  Future<DataState<int>> call(String params) => repository.adReward(params);
}
